curl --request PATCH \
--url https://cloud.kaneo.app/api/github-integration/project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true,
"commentTaskLinkOnGitHubIssue": true
}
'{
"id": "<string>",
"projectId": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>",
"installationId": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"branchPattern": "<string>",
"commentTaskLinkOnGitHubIssue": true
}Update GitHub integration settings
curl --request PATCH \
--url https://cloud.kaneo.app/api/github-integration/project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true,
"commentTaskLinkOnGitHubIssue": true
}
'{
"id": "<string>",
"projectId": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>",
"installationId": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"branchPattern": "<string>",
"commentTaskLinkOnGitHubIssue": true
}Bearer token authentication
Integration updated successfully
Was this page helpful?